List Related Products

Related Products are other Products that are often purchased along with the specified Product.

Returns a list of products that are frequently purchased with a specific product.

{
    "totalItems": integer,
    "success": boolean,
    "errors": [],
    "results": [
        {
            "relatedProductName": "string",
            "productId": integer,
            "gameName": "string",
            "productName": "string",
            "price": decimal,
            "setName": "string"
        }
    ]
}
{
    "totalItems": 4,
    "success": true,
    "errors": [],
    "results": [
        {
            "relatedProductName": "Tropical Island",
            "productId": 9234,
            "gameName": "Magic",
            "productName": "Ancestral Recall",
            "price": 397.94,
            "setName": "Unlimited Edition"
        },
        {
            "relatedProductName": "Mana Drain",
            "productId": 3951,
            "gameName": "Magic",
            "productName": "Ancestral Recall",
            "price": 175.94,
            "setName": "Legends"
        },
        {
            "relatedProductName": "Lion's Eye Diamond",
            "productId": 5129,
            "gameName": "Magic",
            "productName": "Ancestral Recall",
            "price": 138.55,
            "setName": "Mirage"
        },
        {
            "relatedProductName": "Surgical Extraction",
            "productId": 39452,
            "gameName": "Magic",
            "productName": "Ancestral Recall",
            "price": 18.98,
            "setName": "New Phyrexia"
        }
    ]
}
Path Params
string
required

Required. A unique key used to identify the caller of the API.

int64
required

Required. The Id of the Product to get Related Products for.

Query Params
boolean

If set to true, generic listings will be returned. Default is true.

boolean

If set to true, custom listings will be returned. Default is true.

int32

The channel to search for results. Defaults to 0, the TCG Marketplace.

boolean

If true, will return results for excluded categories. Default is false.

int32

Used for paging. The number of Related Products to skip. Default is 0.

int32

Used for paging. The maximum number of Related Products to return. Default is 10.

boolean

If true, only return Related Products the seller has in stock.
Otherwise, return all Related Products. Default is false.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

Bad Request, e.g. invalid limit, offset, channelId, etc.

404

The productId specified was not found.

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json